SystemOrganization addCategory: #GlorpOpenDBXDriverTests!

GlorpMainBackendTest subclass: #DBXGlorpMainBackendTestMysql
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GlorpOpenDBXDriverTests'!

!DBXGlorpMainBackendTestMysql class methodsFor: 'as yet unclassified' stamp: 'GuillermoPolito 4/25/2011 05:29'!
glorpBackendFacility
	| facility login |
	facility := GlorpBackendFacility new.
	login := Login new
		database: MySQLPlatform new;
		username: 'root';
		password: 'root';
		host: 'localhost';
		port: '3306';
		connectString: 'localhost_test'.
	facility login: login.
	^ facility! !

!DBXGlorpMainBackendTestMysql methodsFor: 'as yet unclassified' stamp: 'MarianoMartinezPeck 5/7/2011 00:27'!
testSetToBaseTestAFacility
	super testSetToBaseTestAFacility.
	PharoDatabaseAccessor DefaultDriver: GlorpOpenDBXDriver.
	GlorpDatabaseLoginResource current: nil.
	GlorpDatabaseLoginResource defaultLogin: self class glorpBackendFacility login.
	GlorpDemoTablePopulatorResource needsSetup: true. ! !

GlorpMainBackendTest subclass: #DBXGlorpMainBackendTestOracle
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GlorpOpenDBXDriverTests'!

!DBXGlorpMainBackendTestOracle class methodsFor: 'as yet unclassified' stamp: 'GP 11/1/2009 13:20'!
glorpBackendFacility
	| facility login |
	facility := GlorpBackendFacility new.
	login := Login new
		database: OraclePlatform new;
		username: 'sodbxtest';
		password: 'sodbxtest';
		host: '127.0.0.1';
		port: '1521';
		connectString: '127.0.0.1_xe'.
	facility login: login.
	^ facility! !

!DBXGlorpMainBackendTestOracle methodsFor: 'as yet unclassified' stamp: 'MarianoMartinezPeck 5/7/2011 00:27'!
testSetToBaseTestAFacility
	super testSetToBaseTestAFacility.
	PharoDatabaseAccessor DefaultDriver: GlorpOpenDBXDriver.
	GlorpDatabaseLoginResource current: nil.
	GlorpDatabaseLoginResource defaultLogin: self class glorpBackendFacility login.
	GlorpDemoTablePopulatorResource needsSetup: true. ! !

GlorpMainBackendTest subclass: #DBXGlorpMainBackendTestPostgresql
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GlorpOpenDBXDriverTests'!

!DBXGlorpMainBackendTestPostgresql class methodsFor: 'as yet unclassified' stamp: 'GP 11/1/2009 13:20'!
glorpBackendFacility
	| facility login |
	facility := GlorpBackendFacility new.
	login := Login new
		database: PostgreSQLPlatform new;
		username: 'sodbxtest';
		password: 'sodbxtest';
		connectString: '127.0.0.1_sodbxtest'.
	facility login: login.
	^ facility! !

!DBXGlorpMainBackendTestPostgresql methodsFor: 'as yet unclassified' stamp: 'MarianoMartinezPeck 5/7/2011 00:27'!
testSetToBaseTestAFacility
	super testSetToBaseTestAFacility.
	PharoDatabaseAccessor DefaultDriver: GlorpOpenDBXDriver.
	GlorpDatabaseLoginResource current: nil.
	GlorpDatabaseLoginResource defaultLogin: self class glorpBackendFacility login.
	GlorpDemoTablePopulatorResource needsSetup: true. ! !

TestCase subclass: #DBXGlorpBaseTest
	instanceVariableNames: 'facility'
	classVariableNames: 'Facility'
	poolDictionaries: ''
	category: 'GlorpOpenDBXDriverTests'!

!DBXGlorpBaseTest class methodsFor: 'as yet unclassified' stamp: 'GP 1/11/2009 23:44'!
facility
	^ Facility! !

!DBXGlorpBaseTest class methodsFor: 'as yet unclassified' stamp: 'GP 1/12/2009 00:09'!
facility: anObject
	Facility := anObject! !

!DBXGlorpBaseTest methodsFor: 'accessing' stamp: 'GP 1/11/2009 20:29'!
facility
	^ facility! !

!DBXGlorpBaseTest methodsFor: 'accessing' stamp: 'GP 1/11/2009 20:29'!
facility: anObject
	facility := anObject! !

!DBXGlorpBaseTest methodsFor: 'as yet unclassified' stamp: 'GP 1/11/2009 23:48'!
setUp
	super setUp.
	"this should be done from outside"
	facility := self class facility.! !

DBXGlorpBaseTest subclass: #DBXGlorpQueryBaseTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GlorpOpenDBXDriverTests'!

DBXGlorpQueryBaseTest subclass: #DBXGlorpQueryDMLTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GlorpOpenDBXDriverTests'!

!DBXGlorpQueryDMLTest methodsFor: 'test' stamp: 'GP 8/16/2009 20:14'!
executeCreateTable: session accessor: accessor

						
session accessor: accessor.
session inTransactionDo:
      [session system platform areSequencesExplicitlyCreated
         ifTrue:
            [session system allSequences do:
                  [:each |
                  accessor createSequence: each
                     ifError: [:error | Transcript show: error messageText]]].
        session system allTables do:
            [:each |
            accessor createTable: each
               ifError: [:error | Transcript show: error messageText]].
        session system allTables do:
            [:each |
            accessor createTableFKConstraints: each 
               ifError: [:error | Transcript show: error messageText]]].

! !

!DBXGlorpQueryDMLTest methodsFor: 'test' stamp: 'GP 11/3/2009 00:41'!
executeDropTable: session accessor: accessor

accessor dropTables: session system allTables.
accessor dropSequences: session system allSequences! !

!DBXGlorpQueryDMLTest methodsFor: 'test' stamp: 'GP 8/16/2009 20:39'!
getGlorpTestSessions
 | sessions |

sessions := OrderedCollection new.

sessions add:  ((GlorpSession new) system: (GlorpDemoDescriptorSystem forPlatform: GlorpDatabaseLoginResource defaultLogin database)).
sessions add:  ((GlorpSession new) system: (GlorpWorkerDescriptorSystem forPlatform: GlorpDatabaseLoginResource defaultLogin database)).
sessions add:  ((GlorpSession new) system: (GlorpVideoDescriptorSystem forPlatform: GlorpDatabaseLoginResource defaultLogin database)).
sessions add:  ((GlorpSession new) system: (GlorpLockingDescriptorSystem forPlatform: GlorpDatabaseLoginResource defaultLogin database)).
sessions add:  ((GlorpSession new) system: (GlorpInheritanceDescriptorSystem forPlatform: GlorpDatabaseLoginResource defaultLogin database)).
sessions add:  ((GlorpSession new) system: (GlorpEncyclopediaDescriptorSystem forPlatform: GlorpDatabaseLoginResource defaultLogin database)).
sessions add:  ((GlorpSession new) system: (GlorpDocumentDescriptorSystem forPlatform: GlorpDatabaseLoginResource defaultLogin database)).
sessions add:  ((GlorpSession new) system: (GlorpDescriptorSystemWithNamespaces forPlatform: GlorpDatabaseLoginResource defaultLogin database)).
sessions add:  ((GlorpSession new) system: (GlorpLinkTableAnywhereDescriptorSystem forPlatform: GlorpDatabaseLoginResource defaultLogin database)).
sessions add:  ((GlorpSession new) system: (GlorpCompositeKeyDescriptorSystem forPlatform: GlorpDatabaseLoginResource defaultLogin database)).
sessions add:  ((GlorpSession new) system: (GlorpCollectionTypesWithClassModelsDescriptorSystem forPlatform: GlorpDatabaseLoginResource defaultLogin database)).
sessions add:  ((GlorpSession new) system: (GlorpCollectionTypesDescriptorSystem forPlatform: GlorpDatabaseLoginResource defaultLogin database)).

^sessions.! !

!DBXGlorpQueryDMLTest methodsFor: 'test' stamp: 'GP 11/3/2009 00:43'!
testCreateTable
"
| login  accessor |

login := facility login.						
accessor :=  DatabaseAccessor forLogin: login.
accessor login.

self getGlorpTestSessions do:
	 [:each | self executeCreateTable: each accessor: accessor. ].

accessor logout.
"! !

!DBXGlorpQueryDMLTest methodsFor: 'test' stamp: 'GP 11/3/2009 00:46'!
testDropTable
"
	| login  accessor  |
	
login := facility login.						
accessor :=  DatabaseAccessor forLogin: login.
accessor login.

self getGlorpTestSessions do:
	 [:each | self executeDropTable: each accessor: accessor. ].

accessor logout.
"! !
